
QGIS Application - Bug report #16644

Crash when using search input in Option dialog

2017-05-31 02:42 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Debian LInux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24544

Description

In current master, when going to Options, and trying to search:

- the first character is fine, but after second character will crash,

Backtrace below

seems to go in a giant loop:

(gdb) bt

#0  0x00007fffee513441 in QString::QString(int, Qt::Initialization) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

#1  0x00007fffee6b9c3d in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5

#2  0x00007fffee518c52 in QString::fromUtf8_helper(char const*, int) () from /lib/x86_64-linux-gnu/libQt5Core.so.5

#3  0x00007fffee65dfb7 in QCoreApplication::translate(char const*, char const*, char const*, int) () from

/lib/x86_64-linux-gnu/libQt5Core.so.5

#4  0x00007fffee6665d8 in QMetaObject::tr(char const*, char const*, int) const () from /lib/x86_64-linux-gnu/libQt5Core.so.5

#5  0x00007ffff7747c59 in QgsLayerTreeLocatorFilter::tr (s=0x7ffff79578ac "Project Layers", c=0x0, n=-1)

    at /home/richard/dev/qgis/git/qgis/build/src/app/locator/../../../../src/app/locator/qgsinbuiltlocatorfilters.h:26

#6  0x00007ffff7747d15 in QgsLayerTreeLocatorFilter::displayName (this=0x55555643a010)

    at /home/richard/dev/qgis/git/qgis/build/src/app/locator/../../../../src/app/locator/qgsinbuiltlocatorfilters.h:32

#7  0x00007ffff7673846 in QgsLocatorFiltersModel::data (this=0x55555bcbdb10, index=..., role=0)

    at /home/richard/dev/qgis/git/qgis/src/app/locator/qgslocatoroptionswidget.cpp:111

#8  0x00007fffee604447 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int, QFlags<Qt::MatchFlag>)

const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#9  0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int, QFlags<Qt::MatchFlag>)

const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#10 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#11 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#12 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#13 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#14 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,
QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#15 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#16 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#17 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#18 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#19 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#20 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#21 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#22 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#23 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#24 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#25 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

   from /lib/x86_64-linux-gnu/libQt5Core.so.5

#26 0x00007fffee604223 in QAbstractItemModel::match(QModelIndex const&, int, QVariant const&, int,

QFlags<Qt::MatchFlag>) const ()

Associated revisions

Revision b461adda - 2017-06-13 12:41 AM - Nyall Dawson

Fix crash when searching in options dialog (fix #16644)

History

#1 - 2017-05-31 02:42 PM - Richard Duivenvoorde

- Subject changed from Crash when  to Crash when using search input in Option dialog

#2 - 2017-06-06 12:35 PM - Richard Duivenvoorde

2025-04-27 2/3



Note: same search (Locator?) functionality in the project properties just works

#3 - 2017-06-13 12:41 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b461adda1541c2a115c1b8ab2d8b1a79d6342c52.
